import containsAny from "./containsAny";
import containsAll from "./containsAll";
import Rect from "parsegraph-rect";
import { Matrix3x3 } from "parsegraph-matrix";
export default class Camera {
    _cameraX: number;
    _cameraY: number;
    _scale: number;
    _width: number;
    _height: number;
    _aspectRatio: number;
    _changeVersion: number;
    _vflip: boolean;
    _worldMatrix: Matrix3x3;
    constructor();
    setSize(width: number, height: number): boolean;
    transform(x: number, y: number): [number, number];
    zoomToPoint(scaleFactor: number, x: number, y: number): void;
    setOrigin(x: number, y: number): void;
    changeVersion(): number;
    hasChanged(): void;
    toJSON(): any;
    restore(json: any): void;
    copy(other: Camera): void;
    scale(): number;
    x(): number;
    y(): number;
    setScale(scale: number): void;
    toString(): string;
    adjustOrigin(x: number, y: number): void;
    worldMatrix(): Matrix3x3;
    aspectRatio(): number;
    width(): number;
    height(): number;
    canProject(): boolean;
    projectionMatrix(): Matrix3x3;
    project(): Matrix3x3;
    containsAny(s: Rect): boolean;
    containsAll(s: Rect): boolean;
}
export { containsAny, containsAll };
//# sourceMappingURL=index.d.ts.map